メインコンテンツへスキップ
GET
/
hub_items
cURL
curl -i -X GET "https://api.box.com/2.0/hub_items?hub_id=12345" \
     -H "box-version: 2025.0" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
client.hub_items.get_hub_items_v2025_r0(created_hub.id)
await client.hubItems.getHubItemsV2025R0({
hubId: createdHub.id,
} satisfies GetHubItemsV2025R0QueryParams);
try await client.hubItems.getHubItemsV2025R0(queryParams: GetHubItemsV2025R0QueryParams(hubId: createdHub.id))
client.getHubItems().getHubItemsV2025R0(new GetHubItemsV2025R0QueryParams(createdHub.getId()))
await client.HubItems.GetHubItemsV2025R0Async(queryParams: new GetHubItemsV2025R0QueryParams(hubId: createdHub.Id));
{
  "entries": [
    {
      "id": "12345678",
      "type": "file",
      "name": "My File"
    }
  ],
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ヘッダー

box-version
enum<string>
必須

バージョンヘッダー

利用可能なオプション:
2025.0

クエリパラメータ

hub_id
string
必須

Hubを表す一意の識別子。

HubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/hubs/123の場合、hub_id123です。

parent_id
string

Box Hub内の項目リストブロックの一意の識別子。

指定されている場合、レスポンスには、指定した項目リストに属している項目のみが含まれます。これにより、結果にフィルタをかけて、特定のページまたはセクションの項目に絞り込むことができます。

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

これを使用するには、usemarkertrueに設定する必要があります。

limit
integer<int64>

返す項目の1ページあたりの最大数。

必須範囲: x <= 1000

レスポンス

指定されたBox Hubに関連付けられている項目を取得します。

Box Hubの項目のリスト。

entries
Box Hubの項目 · object[]

Box Hubの項目のリスト。

limit
integer<int64>

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

1000

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"

最終更新日 2026年1月23日